Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.plugin.rendering
Interface RenderingPluginParameter

All Superinterfaces:
  Localized

All Known Implementing Classes:
  RenderingPluginParameterAdapter, RenderingPluginParameterImpl

    public interface RenderingPluginParameter

extends Localized

Represents the definition of a `RenderingPlugin` parameter.

This class extends `Localized` which is documented in the WebSphere Portal documentation. The `getTitle(Locale)` and `getDescription(Locale)` methods should return a translated title and description for the parameter.

Since:
  8.0.0.1 CF9
See Also:
  `RenderingPluginParameterAdapter`
Note:

  This interface is designed to be implemented by clients.

Nested Class Summary
`static class` | `RenderingPluginParameter.Required` Possible setting for parameter requirement.

Method Summary
`java.lang.String` | `getDescription(java.util.Locale locale)` Get the translated description of the parameter.
`java.lang.String` | `getName()` Returns the name for this rendering plugin parameter.
`RenderingPluginParameter.Required` | `getRequired()` Get the required setting for the parameter.
`java.lang.String` | `getTitle(java.util.Locale locale)` Get the translated title of the parameter.
`RenderingPluginParameterType` | `getType()` Get the 'type' of this `RenderingPluginParameter`.

Methods inherited from interface com.ibm.portal.Localized
`getLocales`

Method Detail

### getName

    java.lang.String getName()

  Returns the name for this rendering plugin parameter. This is the name which will be used to invoke the parameter, using [Plugin:RenderingPluginName parameterName="parameterValue"]. Therefore, this should be a short `String` containing only alphanumeric characters. It must not contains spaces or special characters. Names must be unique, or else the plugin will not function correctly. Note: The parameter name must not be 'name' or 'id', because these attributes have special meaning in the plugin implementation.

  Note: If the name is changed, this will break the tags where the previous name of the rendering plugin parameter is used.

  Returns:
    Name of the rendering plugin parameter

### getTitle

    java.lang.String getTitle(java.util.Locale locale)

  Get the translated title of the parameter.

  Specified by:
    `getTitle` in interface `Localized`
  Parameters:
    `locale` - the locale for which to retrieve the title, must not be `null`.
  Returns:
    the title of this node in the given locale. If a title is not available in the given locale, this method will return `null`. It is up to the invoker of the method to implement an appropriate fallback mechanism.
  See Also:
    `Localized.getTitle(java.util.Locale)`

### getDescription

    java.lang.String getDescription(java.util.Locale locale)

  Get the translated description of the parameter.

  Specified by:
    `getDescription` in interface `Localized`
  Parameters:
    `locale` - the locale for which to retrieve the description, must not be `null`.
  Returns:
    the description of this node in the given locale. If a description is not available in the given locale, this method will return `null`. It is up to the invoker of the method to implement an appropriate fallback mechanism
  See Also:
    `Localized.getDescription(java.util.Locale)`

### getType

    RenderingPluginParameterType getType()

  Get the 'type' of this `RenderingPluginParameter`. `RenderingPluginParameter`s are be dealt with different, depending on their type.

  Returns:
    the type, or null

### getRequired

    RenderingPluginParameter.Required getRequired()

  Get the required setting for the parameter.

  Returns:
    the required setting for the parameter

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD